[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendDebugFmt

Format and send a debug message

## Declaration

Source position: dbugintf.pp line 34

`procedure SendDebugFmt(`
`const Msg: string;`
`const Args: array of Const`
`);`

## Arguments

`Msg` |  | Template for message
`Args` |  | Arguments to be inserted in template

## Description

SendDebugFmt is a utility routine which formats a message by passing Msg and Args to Format and sends the result to the debug server using SendDebug. It exists mainly to avoid the Format call in calling code.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendDebugEx |  | Send debug message other than informational messages
SendDebugFmtEx |  | Format and send message with alternate type
#rtl.sysutils.format

Documentation generated on: Feb 26 2014